API reference
DEVELOPER PLATFORM · v1

An API you can build with

CRM, campaigns, analytics and integrations. Exact contracts, practical examples and signed webhooks.

Download OpenAPI

Private preview: use a project API key. Public SLA and support windows have not been established yet.

GET

Get Developer Outbound Webhook

/api/v1/developer/integrations/{installationId}/outbound-webhook

Use the access scope below. The generated schemas specify the exact request and responses.

Access scopeintegrations.webhooks.read

Authorization: Bearer YOUR_PROJECT_TOKEN

Parameters

installationIdrequired · path

stringminLength: 1 · maxLength: 160

JSON Schema
{
  "type": "string",
  "minLength": 1,
  "maxLength": 160
}

Request examples

curl --request GET   'https://YOUR_NOVA_HOST/api/v1/developer/integrations/INSTALLATION_ID/outbound-webhook'   --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'

Responses

200 Outbound webhook overview
application/json

object

eventTypesrequired
array
Nested schema

array

stringenum: ["crm.deal.created.v1","crm.deal.updated.v1","crm.deal.stage_changed.v1","crm.task.created.v1","crm.task.completed.v1"]

JSON Schema
{
  "type": "string",
  "enum": [
    "crm.deal.created.v1",
    "crm.deal.updated.v1",
    "crm.deal.stage_changed.v1",
    "crm.task.created.v1",
    "crm.task.completed.v1"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "enum": [
      "crm.deal.created.v1",
      "crm.deal.updated.v1",
      "crm.deal.stage_changed.v1",
      "crm.task.created.v1",
      "crm.task.completed.v1"
    ]
  }
}
subscriptionrequired
object | null
Nested schema

object | null

installationIdrequired
stringminLength: 1
endpointUrlrequired
stringformat: "uri"
eventTypesrequired
array
Nested schema

array

stringenum: ["crm.deal.created.v1","crm.deal.updated.v1","crm.deal.stage_changed.v1","crm.task.created.v1","crm.task.completed.v1"]

JSON Schema
{
  "type": "string",
  "enum": [
    "crm.deal.created.v1",
    "crm.deal.updated.v1",
    "crm.deal.stage_changed.v1",
    "crm.task.created.v1",
    "crm.task.completed.v1"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "enum": [
      "crm.deal.created.v1",
      "crm.deal.updated.v1",
      "crm.deal.stage_changed.v1",
      "crm.task.created.v1",
      "crm.task.completed.v1"
    ]
  }
}
statusrequired
stringenum: ["active","paused"]
secretHintrequired
string
versionrequired
integerexclusiveMinimum: 0
createdAtrequired
stringformat: "date-time"
updatedAtrequired
stringformat: "date-time"
JSON Schema
{
  "type": [
    "object",
    "null"
  ],
  "properties": {
    "installationId": {
      "type": "string",
      "minLength": 1
    },
    "endpointUrl": {
      "type": "string",
      "format": "uri"
    },
    "eventTypes": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "crm.deal.created.v1",
          "crm.deal.updated.v1",
          "crm.deal.stage_changed.v1",
          "crm.task.created.v1",
          "crm.task.completed.v1"
        ]
      }
    },
    "status": {
      "type": "string",
      "enum": [
        "active",
        "paused"
      ]
    },
    "secretHint": {
      "type": "string"
    },
    "version": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "updatedAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "installationId",
    "endpointUrl",
    "eventTypes",
    "status",
    "secretHint",
    "version",
    "createdAt",
    "updatedAt"
  ]
}
deliveriesrequired
array
Nested schema

array

object

idrequired
stringminLength: 1
eventIdrequired
stringminLength: 1
eventTyperequired
stringenum: ["crm.deal.created.v1","crm.deal.updated.v1","crm.deal.stage_changed.v1","crm.task.created.v1","crm.task.completed.v1"]
statusrequired
stringenum: ["pending","processing","retry_pending","succeeded","dead_letter"]
attemptsrequired
integerminimum: 0
maxAttemptsrequired
integerexclusiveMinimum: 0
responseStatusrequired
integer | nullminimum: 100 · maximum: 599
lastErrorCategoryrequired
string | null
createdAtrequired
stringformat: "date-time"
completedAtrequired
string | nullformat: "date-time"
JSON Schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "eventId": {
      "type": "string",
      "minLength": 1
    },
    "eventType": {
      "type": "string",
      "enum": [
        "crm.deal.created.v1",
        "crm.deal.updated.v1",
        "crm.deal.stage_changed.v1",
        "crm.task.created.v1",
        "crm.task.completed.v1"
      ]
    },
    "status": {
      "type": "string",
      "enum": [
        "pending",
        "processing",
        "retry_pending",
        "succeeded",
        "dead_letter"
      ]
    },
    "attempts": {
      "type": "integer",
      "minimum": 0
    },
    "maxAttempts": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "responseStatus": {
      "type": [
        "integer",
        "null"
      ],
      "minimum": 100,
      "maximum": 599
    },
    "lastErrorCategory": {
      "type": [
        "string",
        "null"
      ]
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "completedAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "eventId",
    "eventType",
    "status",
    "attempts",
    "maxAttempts",
    "responseStatus",
    "lastErrorCategory",
    "createdAt",
    "completedAt"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "eventId": {
        "type": "string",
        "minLength": 1
      },
      "eventType": {
        "type": "string",
        "enum": [
          "crm.deal.created.v1",
          "crm.deal.updated.v1",
          "crm.deal.stage_changed.v1",
          "crm.task.created.v1",
          "crm.task.completed.v1"
        ]
      },
      "status": {
        "type": "string",
        "enum": [
          "pending",
          "processing",
          "retry_pending",
          "succeeded",
          "dead_letter"
        ]
      },
      "attempts": {
        "type": "integer",
        "minimum": 0
      },
      "maxAttempts": {
        "type": "integer",
        "exclusiveMinimum": 0
      },
      "responseStatus": {
        "type": [
          "integer",
          "null"
        ],
        "minimum": 100,
        "maximum": 599
      },
      "lastErrorCategory": {
        "type": [
          "string",
          "null"
        ]
      },
      "createdAt": {
        "type": "string",
        "format": "date-time"
      },
      "completedAt": {
        "type": [
          "string",
          "null"
        ],
        "format": "date-time"
      }
    },
    "required": [
      "id",
      "eventId",
      "eventType",
      "status",
      "attempts",
      "maxAttempts",
      "responseStatus",
      "lastErrorCategory",
      "createdAt",
      "completedAt"
    ]
  }
}
JSON Schema
{
  "type": "object",
  "properties": {
    "eventTypes": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "crm.deal.created.v1",
          "crm.deal.updated.v1",
          "crm.deal.stage_changed.v1",
          "crm.task.created.v1",
          "crm.task.completed.v1"
        ]
      }
    },
    "subscription": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "installationId": {
          "type": "string",
          "minLength": 1
        },
        "endpointUrl": {
          "type": "string",
          "format": "uri"
        },
        "eventTypes": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "crm.deal.created.v1",
              "crm.deal.updated.v1",
              "crm.deal.stage_changed.v1",
              "crm.task.created.v1",
              "crm.task.completed.v1"
            ]
          }
        },
        "status": {
          "type": "string",
          "enum": [
            "active",
            "paused"
          ]
        },
        "secretHint": {
          "type": "string"
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0
        },
        "createdAt": {
          "type": "string",
          "format": "date-time"
        },
        "updatedAt": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "installationId",
        "endpointUrl",
        "eventTypes",
        "status",
        "secretHint",
        "version",
        "createdAt",
        "updatedAt"
      ]
    },
    "deliveries": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "eventId": {
            "type": "string",
            "minLength": 1
          },
          "eventType": {
            "type": "string",
            "enum": [
              "crm.deal.created.v1",
              "crm.deal.updated.v1",
              "crm.deal.stage_changed.v1",
              "crm.task.created.v1",
              "crm.task.completed.v1"
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "pending",
              "processing",
              "retry_pending",
              "succeeded",
              "dead_letter"
            ]
          },
          "attempts": {
            "type": "integer",
            "minimum": 0
          },
          "maxAttempts": {
            "type": "integer",
            "exclusiveMinimum": 0
          },
          "responseStatus": {
            "type": [
              "integer",
              "null"
            ],
            "minimum": 100,
            "maximum": 599
          },
          "lastErrorCategory": {
            "type": [
              "string",
              "null"
            ]
          },
          "createdAt": {
            "type": "string",
            "format": "date-time"
          },
          "completedAt": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "eventId",
          "eventType",
          "status",
          "attempts",
          "maxAttempts",
          "responseStatus",
          "lastErrorCategory",
          "createdAt",
          "completedAt"
        ]
      }
    }
  },
  "required": [
    "eventTypes",
    "subscription",
    "deliveries"
  ],
  "$ref": "#/components/schemas/OutboundWebhookOverviewResponse"
}
400 Invalid outbound webhook reference
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
401 Invalid developer credential
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
403 Outbound webhook access unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
404 Outbound webhook installation not found
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
429 Developer API rate limit exceeded
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
503 Developer API rate limiter unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}